(function() {
  'use strict';

  angular
    .module('omebedhuffduffer', [])
    .controller('omebedhuffdufferController', loadFunction);

    loadFunction.$inject = ['$scope', 'structureService', '$location','oembedAPI'];

    function loadFunction($scope, structureService, $location, oembedAPI) {
    // Register upper level modules
    structureService.registerModule($location, $scope, 'omebedhuffduffer');

    var urlapi = $scope.omebedhuffduffer.modulescope.APIurl;
    var url = $scope.omebedhuffduffer.modulescope.url+"&format=json";

    oembedAPI.getJson(urlapi, url).then(saveData, errorLog);

    function saveData(data) {
      $scope.html = data.html;
    }

    function errorLog(error) {
      console.log("Error ->", error);
    }
  }
}());
